<?php

session_start();

include_once "admin/conexao.php";

if (isset($_POST['cadastro'])) {

	$erros = FALSE;

	$usuario = filter_var($_POST['usuario'], FILTER_SANITIZE_STRING);
	$usuario = trim($usuario);
	if (empty($usuario)) {

		echo "Nome de usuário não pode ficar vazio!<br><br>";
		$erros = TRUE;

	}

	$senha = filter_var(md5($_POST['senha']), FILTER_SANITIZE_STRING);
	if (empty($senha)) {

		echo "Senha não pode ficar vazia!<br><br>";
		$erros = TRUE;

	}

	$email = filter_var($_POST['email'], FILTER_VALIDATE_EMAIL);
	if (empty($email)) {

		echo "E-mail invalido ou nulo!<br><br>";
		$erros = TRUE;

	}

	if ($erros === FALSE) {

		$query = $pdo->prepare("INSERT INTO usuarios (id, usuario, senha, email, admin, banido) VALUES (NULL, ?, ?, ?, 0, 0)");
		$query->bindParam(1, $usuario);
		$query->bindParam(2, $senha);
		$query->bindParam(3, $email);
		$query->execute();

		echo "Seu cadastro foi realizado com sucesso! Efetue o login para participar do fórum!!<br><br>";

	}

}

?>
<form method="post" action='' name='cadastro'>
Usuário<br>
<input type='text' name='usuario' maxlength='15'><br>
Senha<br>
<input type='password' name='senha' maxlength='10'><br>
E-mail<br>
<input type='text' name='email' maxlength='30'><br>
<input type='submit' name='cadastro' value='Cadastre-se'>
</form>	
